name = "vegetable3";

physic = 1;
phys_solid = 0;
phys_bullet_collidable = 0;
phys_max_x_vel = 0;
phys_max_y_vel = 50;

FunctionName = "CreateItem";

--  

--LoadTexture("vegetable3.png");
texture = "vegetable3";
z = -0.001;

image_width = 128;
image_height = 256;
frame_width = 32;
frame_height = 32;
frames_count = 23;

animations = 
{
	{ 
		-- 
		name = "init";
		frames = 
		{
			{ com = constants.AnimComRealX; param = 8 },
			{ com = constants.AnimComRealY; param = 3 },
			{ com = constants.AnimComRealW; param = 13 },
			{ com = constants.AnimComRealH; param = 25 },
			{ com = constants.AnimComSetTouchable; param = 1 },
			--{ dur = 100; num = 20; com = constants.AnimComCreateParticles; txt = "pteleport" },
			{ com = constants.AnimComSetAnim; txt = "idle" }	
		}
	},
	{ 
		-- 
		name = "idle";
		frames = 
		{
	
			{ dur = 50; num = 0; com = constants.AnimComSetVelY; param = 0 },
			{ dur = 50; num = 1; com = constants.AnimComSetVelY; param = 10 },
			{ dur = 50; num = 2; com = constants.AnimComSetVelY; param = 10 },
			{ dur = 50; num = 3; com = constants.AnimComSetVelY; param = 20 },
			{ dur = 50; num = 4; com = constants.AnimComSetVelY; param = 10 },
			{ dur = 50; num = 5; com = constants.AnimComSetVelY; param = 10},
			{ dur = 50; num = 6; com = constants.AnimComSetVelY; param = -10 },
			{ dur = 50; num = 7; com = constants.AnimComSetVelY; param = -10},
			{ dur = 50; num = 8; com = constants.AnimComSetVelY; param = -20 },
			{ dur = 50; num = 9; com = constants.AnimComSetVelY; param = -10},
			{ dur = 50; num = 10; com = constants.AnimComSetVelY; param = -10},
			{ dur = 50; num = 11; com = constants.AnimComSetVelY; param = 0 },
			{ dur = 50; num = 12; com = constants.AnimComSetVelY; param = -10 },
			{ dur = 50; num = 13; com = constants.AnimComSetVelY; param = -10 },
			{ dur = 50; num = 14; com = constants.AnimComSetVelY; param = -20 },
			{ dur = 50; num = 15; com = constants.AnimComSetVelY; param = -10 },
			{ dur = 50; num = 16; com = constants.AnimComSetVelY; param = -10 },
			{ dur = 50; num = 17; com = constants.AnimComSetVelY; param = 10 },
			{ dur = 50; num = 18; com = constants.AnimComSetVelY; param = 10 },
			{ dur = 50; num = 19; com = constants.AnimComSetVelY; param = 20 },
			{ dur = 50; num = 20; com = constants.AnimComSetVelY; param = 10 },
			{ dur = 50; num = 21; com = constants.AnimComSetVelY; param = 10 },
			{ dur = 50; num = 22; com = constants.AnimComSetVelY; param = 0 },
			{ com = constants.AnimComLoop }	
		}
	},
	{ 
		-- 
		name = "touch";
		frames = 
		{
			{ com = constants.AnimComGiveHealth; param = 30 },
			{ com = constants.AnimComJumpIfPlayerId; param = 3 },
			{ com = constants.AnimComDestroyObject },
			{ dur = 100 },
			{ com = constants.AnimComPlaySound; txt = "health-pickup" },
			{ com = constants.AnimComDestroyObject }
		}
	}
	
}